## osc2midi-0.2.5-2.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules/")

add_subdirectory(src/)

# file(MAKE_DIRECTORY /usr/share/osc2midi)
install (DIRECTORY maps/
  DESTINATION share/osc2midi
  USE_SOURCE_PERMISSIONS
)

install (DIRECTORY maps/touchosc/
  DESTINATION share/osc2midi/touchosc
  USE_SOURCE_PERMISSIONS
)
